Bug 149134 - x11/gnome2 unable to unmount UFS file system
Summary: x11/gnome2 unable to unmount UFS file system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-31 06:40 UTC by Kevin Oberman
Modified: 2010-09-05 07:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Oberman 2010-07-31 06:40:03 UTC
Since the upgrade to gnome 2.30 I am unable to remove a UFS formatted
USB file system. I unmounts (though it does not remove the mount-point
in /media. This is similar to a problem in earlier versions which was
fixed by changes to hald, but the changes are no longer effective.

When gnome-mount is  called, it does dismount the device, but it
immediately re-mounts it, creating a new mount-point with an '_'
appended.

Previous problem involved the use of the disappearing /dev/ufs device
node, but it now happens regardless.

Fix: 

None to this point.
How-To-Repeat: 	Connect a USB formatted drive. Let it mount. Try to unmount,
eiterh from the menu or the CLI.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-07-31 15:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 Joe Marcus Clarke freebsd_committer 2010-08-14 18:49:34 UTC
State Changed
From-To: open->feedback

You need to provide everything documented at 
http://www.freebsd.org/gnome/docs/halfaq.html#q4 for proper troubleshooting. 
In particular the kern.geom.conftxt output will be useful here.
Comment 3 dfilter service freebsd_committer 2010-08-29 18:51:27 UTC
marcus      2010-08-29 17:51:18 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/hal         Makefile 
    sysutils/hal/files   patch-hald_hf-storage.c 
  Log:
  Fix a bug where UFS file systems could not be properly unmounted.  Part of this
  was due to a logic bug introduced when I added support for "ufs/" labels.
  Thanks to Andriy Gapon for ctching that.
  
  PR:             149134
  
  Revision  Changes    Path
  1.64      +1 -1      ports/sysutils/hal/Makefile
  1.8       +7 -5      ports/sysutils/hal/files/patch-hald_hf-storage.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Joe Marcus Clarke freebsd_committer 2010-09-05 07:22:13 UTC
State Changed
From-To: feedback->closed

This has been fixed in hal.  Thanks for reporting.